Bug 482968 - Source0 missing from SPEC file
Source0 missing from SPEC file
Status: CLOSED NEXTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 476471
  Show dependency treegraph
 
Reported: 2009-01-28 22:20 EST by eric@christensenplace.us
Modified: 2010-11-23 23:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-29 00:10:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2009-01-28 22:20:19 EST
Description of problem: The Source0 entry in the SPEC file should point to where the developer has stored the tarball.


Version-Release number of selected component (if applicable): publican-0.40-0.fc10.noarch

Actual results: Source0:	%{name}-%{version}.tgz


Expected results: Source0:      <actual path and file name>
Comment 1 Jeff Fearn 2009-01-28 22:49:41 EST
Changing the file name used in the automated spec building system would create a lot of extra work changing that whole subsystem, so I'm not going to do that at this time.

I'll add a new parameter, SRC_URL, which will be setable in the books Makefile and will be prepended to Source0.

So it will look something like:

In Makefile:
SRC_URL = http://foo.bar/sources/

In *-spec.xsl:

Source0: $SRC_URL%{name}-%{version}.tgz
Comment 2 eric@christensenplace.us 2009-01-28 22:57:32 EST
That should work.  Thanks!
Comment 3 Jeff Fearn 2009-01-29 00:10:53 EST
Added SRC_URL Makefile variable.
Comment 4 Fedora Update System 2009-03-18 19:57:22 EDT
publican-fedora-0.18-0.fc10,publican-0.44-0.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/publican-fedora-0.18-0.fc10,publican-0.44-0.fc10
Comment 5 Fedora Update System 2009-03-26 10:53:33 EDT
publican-fedora-0.18-0.fc10, publican-0.44-0.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.